CSL 5.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes
Orbit Class Reference

`#include <PME.h>`

List of all members.

## Public Member Functions
| Orbit ()
| ~Orbit ()
void | calculate_eccentricity (CPoint R, CPoint V)
void | calculate_orbital_params (CPoint R, CPoint V)
void | calculate_absolute_position (CPoint &new_position)
void | calculate_new_position_in_orbit ()
void | dump ()

## Protected Attributes
double | a
double | n
double | e
double | i
double | omega
double | w
double | nu
CPoint | e_vec
CPoint | n_vec
double | mu

## Detailed Description

Definition at line 79 of file PME.h.

## Constructor & Destructor Documentation

Orbit::Orbit | ( |  | ) |
| inline

Definition at line 93 of file PME.h.

Orbit::~Orbit | ( |  | ) |
| inline

Definition at line 94 of file PME.h.

## Member Function Documentation

void Orbit::calculate_eccentricity | ( | CPoint | R,
|  | CPoint | V
| ) |  |

Definition at line 204 of file PME.cpp.

References e, e_vec, error(), csl::CPoint::len(), mu, and csl::CPoint::normalize().

Referenced by calculate_orbital_params().

void Orbit::calculate_orbital_params | ( | CPoint | R,
|  | CPoint | V
| ) |  |

Definition at line 182 of file PME.cpp.

References a, calculate_eccentricity(), e_vec, i, kTwoPi, csl::CPoint::len(), mu, n, n_vec, nu, omega, w, csl::CPoint::x, csl::CPoint::y, and csl::CPoint::z.

Referenced by PMESource::set_orbit().

void Orbit::calculate_absolute_position | ( | CPoint & | new_position | ) |

Definition at line 257 of file PME.cpp.

References a, e, i, nu, omega, w, csl::CPoint::x, csl::CPoint::y, and csl::CPoint::z.

Referenced by PMESource::update_position().

void Orbit::calculate_new_position_in_orbit | ( |  | ) |

Definition at line 265 of file PME.cpp.

References e, error(), kTwoPi, n, and nu.

Referenced by PMESource::update_position().

void Orbit::dump | ( | void |  | ) |

Definition at line 288 of file PME.cpp.

References a, e, i, mu, nu, omega, and w.

## Member Data Documentation

double Orbit::a
| protected

Definition at line 81 of file PME.h.

Referenced by calculate_absolute_position(), calculate_orbital_params(), and dump().

double Orbit::n
| protected

Definition at line 82 of file PME.h.

Referenced by calculate_new_position_in_orbit(), and calculate_orbital_params().

double Orbit::e
| protected

Definition at line 83 of file PME.h.

Referenced by calculate_absolute_position(), calculate_eccentricity(), calculate_new_position_in_orbit(), and dump().

double Orbit::i
| protected

Definition at line 84 of file PME.h.

Referenced by calculate_absolute_position(), calculate_orbital_params(), and dump().

double Orbit::omega
| protected

Definition at line 85 of file PME.h.

Referenced by calculate_absolute_position(), calculate_orbital_params(), and dump().

double Orbit::w
| protected

Definition at line 86 of file PME.h.

Referenced by calculate_absolute_position(), calculate_orbital_params(), and dump().

double Orbit::nu
| protected

Definition at line 87 of file PME.h.

Referenced by calculate_absolute_position(), calculate_new_position_in_orbit(), calculate_orbital_params(), and dump().

CPoint Orbit::e_vec
| protected

Definition at line 88 of file PME.h.

Referenced by calculate_eccentricity(), and calculate_orbital_params().

CPoint Orbit::n_vec
| protected

Definition at line 89 of file PME.h.

Referenced by calculate_orbital_params().

double Orbit::mu
| protected

Definition at line 90 of file PME.h.

Referenced by calculate_eccentricity(), calculate_orbital_params(), and dump().

The documentation for this class was generated from the following files:

- CSL/Spatializers/VBAP/PME.h
- CSL/Spatializers/VBAP/PME.cpp